SignSecure Sign PadSignSecure Sign Pad
Workflows

Publish the current draft

POST
/workflows/{workflowId}/publish

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

workflowId*string

The reusable workflow definition ID

Response Body

application/json

application/json

application/json

curl -X POST "https://api.signpad.signsecure.in/api/v1/workflows/string/publish"
{
  "id": "string",
  "workflowDefinitionId": "string",
  "version": 1,
  "status": "draft",
  "config": {
    "documents": [
      {
        "templateId": "string",
        "label": "string",
        "required": true
      }
    ],
    "participants": [
      {
        "key": "string",
        "label": "string",
        "role": "signer",
        "order": 1,
        "signatureMethod": "dsc_usb",
        "verificationMethod": "link_only",
        "required": true
      }
    ],
    "execution": {
      "mode": "sequential",
      "verificationMethod": "link_only",
      "expiresInDays": 1,
      "reminderEveryHours": 1,
      "message": "string",
      "redirectUrl": "http://example.com",
      "emailNotifications": "all",
      "whatsappNotifications": "all",
      "estampEnabled": false,
      "estampConfig": {
        "state": "CH",
        "article": "string",
        "amount": "string",
        "considerationAmount": "string",
        "payee": "first-party",
        "hardcopy": "y",
        "firstParty": {
          "name": "string",
          "email": "user@example.com",
          "mobile": "string",
          "address": "string"
        },
        "secondParty": {
          "name": "string",
          "email": "user@example.com",
          "mobile": "string",
          "address": "string"
        },
        "shipping": {
          "name": "string",
          "address": "string",
          "city": "string",
          "state": "string",
          "pincode": "string",
          "mobile": "string"
        }
      },
      "requireFinalSenderConfirmation": false
    },
    "approvalStages": [],
    "allowedOverrides": []
  },
  "createdById": "string",
  "publishedById": "string",
  "publishedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "message": "string",
  "details": {},
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "string",
  "message": "string",
  "details": {},
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}